What Version of OpenAccess is needed to support SS 2012?

4 posts, 0 answers
  1. Neil
    Neil avatar
    3 posts
    Member since:
    Jun 2012

    Posted 19 Jun 2012 Link to this post

    I'm currently using 2011.2.713.3, and when I lauch my application that uses a 2012 database I get the following error,

    Unexpected exception in in GetNewObjectScope: The metadata for field 'actionDescription' of class 'ppiatm.QAReporter.Data.ActionItem' cannot be initialized: SQLDriver not initialized with server version.

    Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

    Exception Details: QAReporterCommon.CouldNotGetScopeException: Unexpected exception in in GetNewObjectScope: The metadata for field 'actionDescription' of class 'ppiatm.QAReporter.Data.ActionItem' cannot be initialized: SQLDriver not initialized with server version.

  2. Ivailo
    Admin
    Ivailo avatar
    318 posts

    Posted 22 Jun 2012 Link to this post

    Hi Neil,

    MS SQL Server 2012  is supported by OpenAccess ORM in Q1 2012 SP1 and Q2 2012. You can refer to our upgrade article for some more information regarding how to change the OpenAccess ORM version you are using once you have installed the new one.

    The good news are that the OpenAccess ORM Free Edition is now released without any functional limitations, so you can directly download and use it.  On the other hand, in case you would like to receive 24h priority support package you should go for our Premium or Ultimate Collection.

    Let us know if you have any other questions.

    Greetings,
    Ivailo
    the Telerik team
    OpenAccess ORM Q2'12 Now Available! Get your hands on all the new stuff.
  3. DevCraft banner
  4. Chinthaka
    Chinthaka avatar
    4 posts
    Member since:
    Nov 2012

    Posted 20 Nov 2012 Link to this post

    I'm getting the same error,
           Installed Telerik_OpenAccess_ORM_SDK_2012_3_1012.msi , but still not working.
  5. Ady
    Admin
    Ady avatar
    589 posts

    Posted 22 Nov 2012 Link to this post

    Hi Chinthaka,

     You need to download the latest product and not just the SDK. The SDK is a set of examples, the latest runtime is a part of the product.

    Greetings,
    Ady
    the Telerik team
    Telerik OpenAccess ORM Meets ASP.NET Web API. Read more.
Back to Top